haskore-0.2.0.3: The Haskore Computer Music System

Safe Haskell | None

Haskore.Interface.MIDI.Note

# Documentation

data T Source

Constructors

Cons |

Fields

velocityOn :: Velocity
velocityOff :: Velocity
channel :: Channel
program :: Program
pitch :: Pitch

fromMIDIEvents :: (T, T) -> Maybe T Source

toMIDIEvents :: T -> (T, T)Source

fromRhyNote :: RealFrac dyn => ToChannelProgramPitch drum -> ToChannelProgram instr -> dyn -> Relative -> Note drum instr -> T Source

fromGMNote :: RealFrac dyn => ToChannel Instr -> dyn -> Relative -> Note -> T Source

velocityFromStd :: RealFrac dyn => dyn -> Rational -> Velocity Source

pitchFromStd :: Relative -> T -> Pitch Source

toRhyNote :: FromChannelProgramPitch drum -> FromChannelProgram instr -> T -> Note drum instrSource

toGMNote :: T -> Note Source

velocityToStd :: Fractional a => Velocity -> aSource

pitchToStd :: Pitch -> T Source